Bug 479829 (CVE-2007-6720) - CVE-2007-6720 mikmod: crash or abort when loading/playing multiple files with different number of channels
Summary: CVE-2007-6720 mikmod: crash or abort when loading/playing multiple files with...
Status: CLOSED ERRATA
Alias: CVE-2007-6720
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard: reported=20090113,public=20080119,imp...
Keywords: Security
Depends On: 519990 617483 617484 617485 617486 617487 833940
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-13 14:07 UTC by Jan Lieskovsky
Modified: 2012-06-20 14:23 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-09-28 15:11:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0720 normal SHIPPED_LIVE Moderate: mikmod security update 2010-09-28 12:36:46 UTC

Description Jan Lieskovsky 2009-01-13 14:07:56 UTC
A denial of service flaw was found in the MikMod player, used for playing
MOD files. If an attacker would trick the mikmod user to play multiple
MOD using files with varying number of channels, this could lead to
denial of service (application crash or abort).

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=461519

Patch:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=mikmod.diff;att=1;bug=461519

Comment 1 Jan Lieskovsky 2009-01-13 14:10:19 UTC
This issue affects all versions of the mikmod package, as shipped
with Red Hat Enterprise Linux 2.1, 3, 4 or 5.

This issue affects all versions of the libmikmod package, as shipped
with Fedora releases of 9, 10 and devel.

This issue does NOT affect the versions of mikmod package, as shipped
with Fedora releases of 9, 10 and devel (the libmikmod part from
previous releases was extracted to separate 'libmikmod' Fedora package).

Comment 3 Jan Lieskovsky 2009-01-13 15:17:56 UTC
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/

Comment 6 Tomas Hoger 2009-01-21 13:30:22 UTC
CVE-2007-6720:
libmikmod 3.1.9 through 3.2.0, as used by MikMod, SDL-mixer, and
possibly other products, relies on the channel count of the last
loaded song, rather than the currently playing song, for certain
playback calculations, which allows user-assisted attackers to cause a
denial of service (application crash) by loading multiple songs (aka
MOD files) with different numbers of channels.

Comment 7 Vincent Danen 2009-08-27 21:30:55 UTC
This issue still affects Fedora 10 and 11:

~/cvs-scratch/fedora/libmikmod/F-11/libmikmod-3.2.0-beta2/playercode/ >% patch <~/mikmod.diff 
patching file mplayer.c
Hunk #2 succeeded at 3089 (offset 3 lines).
Hunk #4 succeeded at 3141 (offset 3 lines).

Comment 9 Fedora Update System 2009-08-28 07:38:03 UTC
libmikmod-3.2.0-5.beta2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libmikmod-3.2.0-5.beta2.fc11

Comment 10 Fedora Update System 2009-08-28 07:39:15 UTC
libmikmod-3.2.0-4.beta2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libmikmod-3.2.0-4.beta2.fc10

Comment 11 Fedora Update System 2009-08-28 21:59:16 UTC
libmikmod-3.2.0-4.beta2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-08-28 22:01:33 UTC
libmikmod-3.2.0-5.beta2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Tomas Hoger 2010-07-22 15:48:38 UTC
(In reply to comment #0)
> Patch:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=mikmod.diff;att=1;bug=461519    

This patch was reported to introduce a regression, that is already fixed in Fedora packages.  For more details, see:

http://bugzilla.libsdl.org/show_bug.cgi?id=506
https://sourceforge.net/tracker/?func=detail&aid=1630158&group_id=40531&atid=428227

Comment 15 errata-xmlrpc 2010-09-28 12:36:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0720 https://rhn.redhat.com/errata/RHSA-2010-0720.html


Note You need to log in before you can comment on or make changes to this bug.